/**********************************************************************
Copyright (c) 2009-2010 Alexander Kerner. All rights reserved.
Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
 *********************************************************************/

package net.sf.jcmdlineparser.strategy;

import java.util.List;
import java.util.Set;

import net.sf.jcmdlineparser.ParserException;
import net.sf.jcmdlineparser.options.AbstractOption;
import net.sf.jcmdlineparser.options.NoSuchOptionException;
import net.sf.jcmdlineparser.options.OptionUtils;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

class StrategyUtils {

	private final static Logger logger = LoggerFactory.getLogger(StrategyUtils.class);

	private StrategyUtils() {

	}

	/**
	 * 
	 * TODO
	 * @throws ParserException 
	 * 
	 */
	public static void handleKeyValuePair(String key, String value,
			Set<AbstractOption<?>> options) throws NoSuchOptionException, ParserException {
		final AbstractOption<?> o = OptionUtils.getOptionForKey(options, key);
		logger.debug("option \"" + o + "\" parsing value from \"" + value
				+ "\"");
		o.parse(value);
		// logger.debug("option \"" + o + "\" is set: " + o.isSet());
	}

	/**
	 * 
	 * TODO
	 * @throws ParserException 
	 * 
	 */
	public static void handleKeyValuePair(String key, List<String> value,
			Set<AbstractOption<?>> options) throws NoSuchOptionException, ParserException {
		final StringBuilder valueString = new StringBuilder();
		for (String s : value) {
			valueString.append(s);
		}
		handleKeyValuePair(key, valueString.toString(), options);
	}

	/**
	 * 
	 * TODO
	 * @throws ParserException 
	 * 
	 */
	public static void handleKeyValuePair(String key, String[] value,
			Set<AbstractOption<?>> options) throws NoSuchOptionException,
			ParserException {
		final StringBuilder valueString = new StringBuilder();
		for (String s : value) {
			valueString.append(s);
		}
		handleKeyValuePair(key, valueString.toString(), options);
	}
}
